ccm: XCcm_Config Struct Reference

| ccm Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XCcm_Config Struct Reference
Ccm_v6_1

This typedef contains configuration information for a CCM core. More...

## Data Fields
u16 | DeviceId
| DeviceId is the unique ID of the device. More...
u32 | BaseAddress
| BaseAddress is the physical base address of the device's registers. More...
u32 | SlaveAxisVideoFormat
| Slave Axis Video Format. More...
u32 | MasterAxisVideoFormat
| Master Axis Video Format. More...
u32 | MaxColumns
| Maximum Columns. More...
u32 | ActiveColumns
| Active Columns. More...
u32 | ActiveRows
| Active rows. More...
u16 | HasDebug
| Has Debug GUI specified. More...
u16 | HasIntcIf
| Has Interrupt Control. More...
u16 | Clip
| Clip value. More...
u16 | Clamp
| Clamp value. More...
u32 | K11
| Element of Coefficient matrix. More...
u32 | K12
| Element of Coefficient matrix. More...
u32 | K13
| Element of Coefficient matrix. More...
u32 | K21
| Element of Coefficient matrix. More...
u32 | K22
| Element of Coefficient matrix. More...
u32 | K23
| Element of Coefficient matrix. More...
u32 | K31
| Element of Coefficient matrix. More...
u32 | K32
| Element of Coefficient matrix. More...
u32 | K33
| Element of Coefficient matrix. More...
u32 | ROffset
| Red color offset value. More...
u32 | GOffset
| Green color offset value. More...
u32 | BOffset
| Blue color offset value. More...
u32 | SlaveAxiClkFreqHz
| Slave Clock Frequency in Hz. More...

## Detailed Description

This typedef contains configuration information for a CCM core.

Each CCM core should have a configuration structure associated.

## Field Documentation

u32 XCcm_Config::ActiveColumns

Active Columns.

u32 XCcm_Config::ActiveRows

Active rows.

u32 XCcm_Config::BaseAddress

BaseAddress is the physical base address of the device's registers.

Referenced by XCcm_CfgInitialize(), XCcm_DisableDbgByPass(), XCcm_DisableDbgTestPattern(), XCcm_EnableDbgByPass(), XCcm_EnableDbgTestPattern(), XCcm_GetActiveSize(), XCcm_GetClamp(), XCcm_GetClip(), XCcm_GetCoefMatrix(), XCcm_GetDbgFrameCount(), XCcm_GetDbgLineCount(), XCcm_GetDbgPixelCount(), XCcm_GetRgbOffset(), XCcm_GetVersion(), XCcm_IsDbgByPassEnabled(), XCcm_IsDbgTestPatternEnabled(), XCcm_SelfTest(), XCcm_SetActiveSize(), XCcm_SetClamp(), XCcm_SetClip(), XCcm_SetCoefMatrix(), XCcm_SetRgbOffset(), XCcm_Setup(), and XCcmSelfTestExample().

u32 XCcm_Config::BOffset

Blue color offset value.

u16 XCcm_Config::Clamp

Clamp value.

u16 XCcm_Config::Clip

Clip value.

u16 XCcm_Config::DeviceId

DeviceId is the unique ID of the device.

u32 XCcm_Config::GOffset

Green color offset value.

u16 XCcm_Config::HasDebug

Has Debug GUI specified.

Referenced by XCcm_DisableDbgByPass(), XCcm_DisableDbgTestPattern(), XCcm_EnableDbgByPass(), XCcm_EnableDbgTestPattern(), XCcm_GetDbgFrameCount(), XCcm_GetDbgLineCount(), XCcm_GetDbgPixelCount(), XCcm_IsDbgByPassEnabled(), and XCcm_IsDbgTestPatternEnabled().

u16 XCcm_Config::HasIntcIf

Has Interrupt Control.

Referenced by XCcm_IntrHandler().

u32 XCcm_Config::K11

Element of Coefficient matrix.

u32 XCcm_Config::K12

Element of Coefficient matrix.

u32 XCcm_Config::K13

Element of Coefficient matrix.

u32 XCcm_Config::K21

Element of Coefficient matrix.

u32 XCcm_Config::K22

Element of Coefficient matrix.

u32 XCcm_Config::K23

Element of Coefficient matrix.

u32 XCcm_Config::K31

Element of Coefficient matrix.

u32 XCcm_Config::K32

Element of Coefficient matrix.

u32 XCcm_Config::K33

Element of Coefficient matrix.

u32 XCcm_Config::MasterAxisVideoFormat

Master Axis Video Format.

u32 XCcm_Config::MaxColumns

Maximum Columns.

u32 XCcm_Config::ROffset

Red color offset value.

u32 XCcm_Config::SlaveAxiClkFreqHz

Slave Clock Frequency in Hz.

u32 XCcm_Config::SlaveAxisVideoFormat

Slave Axis Video Format.